Skip to main content
PATCH
/
api
/
v1
/
webhooks
/
{id}
Atualizar webhook
curl --request PATCH \
  --url https://api.useintegra.com.br/api/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "events": [],
  "is_active": true
}
'
import requests

url = "https://api.useintegra.com.br/api/v1/webhooks/{id}"

payload = {
"name": "<string>",
"url": "<string>",
"events": [],
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', url: '<string>', events: [], is_active: true})
};

fetch('https://api.useintegra.com.br/api/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "url": "<string>",
  "events": [],
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

API Key da organização (Authorization: Bearer ik_live_xxx)

Path Parameters

id
string
required

ID do webhook

Body

application/json
name
string
Required string length: 1 - 100
url
string<uri>
events
enum<string>[]
Minimum array length: 1
Available options:
call.completed,
campaign.started,
campaign.completed
is_active
boolean

Response

Webhook atualizado

id
string<uuid>
required
name
string
required
url
string<uri>
required
events
enum<string>[]
required
Available options:
call.completed,
campaign.started,
campaign.completed
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required